Description

Data package downloads no longer have data files in them, even when the data are present in Metacat via an upload from Morpho.
This is probably because packages uploaded via the Metacat API (deprecated) do not have an attached resource map file. We need
to ensure that these resource map files are systematically included because, without them, the downloads for packages do not
include the data. We have gotten several complaints about this since the new MetacatUI interface wen public. TO close this bug:

1) Create a mechanism to create resource maps for all packages as they are uploaded using the Metacat API. This may need to run
after all components of the package have been uploaded.

2) Ensure that the mechanism creates resource maps for older packages that were uploaded using the Metacat API before the
present time

Related issues:
Has duplicate Metacat - Feature #6196: ORE documents should be generated for ... Rejected 11/01/2013

History

#1 - 09/03/2013 09:26 AM - ben leinfelder

Originally, we decided that the old Metacat APl would not generate ORE objects for new content coming into the system with that API and that it
would be up to the client to add OREs if they wanted to provide them.

We can generate OREs for existing content today and do this manually periodically. But it also sounds like you'd like OREs generated by
inserts/updates using the old Metacat API.

#2 - 09/04/2013 11:54 AM - ben leinfelder

- Status changed from New to In Progress

Yesterday | ran the "Generate ORE" action for KNB's holdings. After a while | got a nagios warning that the server was down, | checked and Tomcat
was not running and there was no indication at the end of catalina.out as to why it had stopped. I'm not sure if all OREs were successfully created or if
it would be a good idea to try again. Perhaps | will, but not in the middle of a weekday.

#3 - 09/13/2013 03:58 PM - ben leinfelder

- Status changed from In Progress to Closed

Now generating OREs when Metacat APl is used to insert science metadata.

Also added a better check for existing OREs when opting to generate them via the admin interface.
